//--------------------------------------------------------------------
//     此代码由T4模板自动生成  byzhouhang 20210918
//	   生成时间 2021-11-03 09:38:11 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
//--------------------------------------------------------------------
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Application.Contracts
{
    public interface IUserTypeService
    {
        Task<IResponseOutput> AddOrUpdateUserTypeRole(UserTypeMenuAddOrEdit addOrEditUserTypeRole);
        Task<IResponseOutput> DeleteUserTypeRole(Guid userTypeRoleId);
        Task<List<TrialUserType>> GetTrialUserTypeList();
        Task<List<TrialUserType>> GetUserTypeList(UserTypeSelectEnum userTypeSelectEnum);
        Task<List<UserTypeRoleView>> GetUserTypeRoleList(UserTypeQuery userTypeQuery);
    }
}